{
    "fields": [
        {
            "name": "machines",
            "type": {
                "items": {
                    "fields": [
                        {
                            "name": "DATE",
                            "type": "double"
                        },
                        {
                            "name": "MACHINE",
                            "type": "string"
                        },
                        {
                            "name": "FLOWCELL",
                            "type": "string"
                        },
                        {
                            "name": "RUN",
                            "type": "string"
                        }
                    ],
                    "name": "Machine",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "BamHeaderMachine",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}